<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TDA2Ex LINUX+BIOS Performance Report</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="TIOVX_PERFORMANCE_TDA2Ex_LINUX">TDA2Ex LINUX+BIOS Performance Report </a></h1><table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr>
<td><p><b> SoC </b> </p>
</td><td><p>TDA2Ex   </p>
</td></tr>
<tr>
<td><p><b> Test EVM </b> </p>
</td><td><p>TDA2Ex TI EVM   </p>
</td></tr>
<tr>
<td><p><b> HOST </b> </p>
</td><td><p>ARM A15 @ 1Ghz running LINUX, L1/L2 Cache Enabled   </p>
</td></tr>
<tr>
<td><p><b> Target </b> </p>
</td><td><p>DSP C66x @ 600Mhz running BIOS, L1/L2 Cache Enabled   </p>
</td></tr>
</table>
<p><br/>
<hr/>
<br/>
</p>
<html>
<head>
  <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type">
  <title>TIOVX Kernel Performance</title>
</head>
<body>
  <table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
    <tr bgcolor="lightgrey">
<td width="5" align="center"><b>Index</b></td>
<td width="25%" align="center"><b>Kernel</b></td>
<td width="25%" align="center"><b>Variant</b></td>
<td width="20%" align="center"><b>Frame Size (Pixels) </b></td>
<td width="25%" align="center"><b>Graph Performance (msec) </b></td>
<td width="25%" align="center"><b>Node Performance (msec) </b></td>
</tr>
 <tr align="center">
<td>1</td>
<td>Accumulate</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.128000</td>
<td>   0.948000</td>
 </tr>
 <tr align="center">
<td>2</td>
<td>AccumulateSquare</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.120000</td>
<td>   0.937000</td>
 </tr>
 <tr align="center">
<td>3</td>
<td>AccumulateWeighted</td>
<td></td>
<td>640x480  (307200)</td>
<td>   0.851000</td>
<td>   0.677000</td>
 </tr>
 <tr align="center">
<td>4</td>
<td>Addition</td>
<td>U8+U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.890000</td>
<td>   0.717000</td>
 </tr>
 <tr align="center">
<td>5</td>
<td>Addition</td>
<td>U8+U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.103000</td>
<td>   0.922000</td>
 </tr>
 <tr align="center">
<td>6</td>
<td>Addition</td>
<td>U8+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.219000</td>
<td>   1.31000 </td>
 </tr>
 <tr align="center">
<td>7</td>
<td>Addition</td>
<td>S16+S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.331000</td>
<td>   1.142000</td>
 </tr>
 <tr align="center">
<td>8</td>
<td>Subtraction</td>
<td>U8-U8=U8</td>
<td>640x480  (307200)</td>
<td>   0.875000</td>
<td>   0.715000</td>
 </tr>
 <tr align="center">
<td>9</td>
<td>Subtraction</td>
<td>U8-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.90000 </td>
<td>   0.930000</td>
 </tr>
 <tr align="center">
<td>10</td>
<td>Subtraction</td>
<td>S16-U8=S16</td>
<td>640x480  (307200)</td>
<td>   1.199000</td>
<td>   1.36000 </td>
 </tr>
 <tr align="center">
<td>11</td>
<td>Subtraction</td>
<td>S16-S16=S16</td>
<td>640x480  (307200)</td>
<td>   1.304000</td>
<td>   1.140000</td>
 </tr>
 <tr align="center">
<td>12</td>
<td>Not Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.683000</td>
<td>   0.528000</td>
 </tr>
 <tr align="center">
<td>13</td>
<td>And Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.875000</td>
<td>   0.715000</td>
 </tr>
 <tr align="center">
<td>14</td>
<td>OR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.844000</td>
<td>   0.690000</td>
 </tr>
 <tr align="center">
<td>15</td>
<td>XOR Operation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.849000</td>
<td>   0.692000</td>
 </tr>
 <tr align="center">
<td>16</td>
<td>Abs Diff</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.876000</td>
<td>   0.717000</td>
 </tr>
 <tr align="center">
<td>17</td>
<td>Abs Diff</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.313000</td>
<td>   1.138000</td>
 </tr>
 <tr align="center">
<td>18</td>
<td>Box</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.993000</td>
<td>   0.837000</td>
 </tr>
 <tr align="center">
<td>19</td>
<td>Dilate</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.919000</td>
<td>   0.755000</td>
 </tr>
 <tr align="center">
<td>20</td>
<td>Erode</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.912000</td>
<td>   0.750000</td>
 </tr>
 <tr align="center">
<td>21</td>
<td>Fast Corners</td>
<td>No NMS</td>
<td>640x480  (307200)</td>
<td>  18.464000</td>
<td>  18.293000</td>
 </tr>
 <tr align="center">
<td>22</td>
<td>Canny</td>
<td></td>
<td>640x480  (307200)</td>
<td>   7.761000</td>
<td>   7.608000</td>
 </tr>
 <tr align="center">
<td>23</td>
<td>Channel Combine</td>
<td>3 to 1 (RGB)</td>
<td>640x480  (307200)</td>
<td>   1.596000</td>
<td>   1.448000</td>
 </tr>
 <tr align="center">
<td>24</td>
<td>Channel Combine</td>
<td>4 to 1 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.783000</td>
<td>   1.637000</td>
 </tr>
 <tr align="center">
<td>25</td>
<td>Channel Combine</td>
<td>YUYV</td>
<td>640x480  (307200)</td>
<td>   1.106000</td>
<td>   0.962000</td>
 </tr>
 <tr align="center">
<td>26</td>
<td>Channel Combine</td>
<td>2 to 1 (NV12)</td>
<td>640x480  (307200)</td>
<td>   0.827000</td>
<td>   0.666000</td>
 </tr>
 <tr align="center">
<td>27</td>
<td>Channel Extract</td>
<td>1 of 3 (RGB)</td>
<td>640x480  (307200)</td>
<td>   0.985000</td>
<td>   0.840000</td>
 </tr>
 <tr align="center">
<td>28</td>
<td>Channel Extract</td>
<td>1 of 4 (RGBX)</td>
<td>640x480  (307200)</td>
<td>   1.112000</td>
<td>   0.956000</td>
 </tr>
 <tr align="center">
<td>29</td>
<td>Color Convert</td>
<td>RGB=>RGBX</td>
<td>640x480  (307200)</td>
<td>   1.515000</td>
<td>   1.376000</td>
 </tr>
 <tr align="center">
<td>30</td>
<td>Color Convert</td>
<td>RGB=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.452000</td>
<td>   2.299000</td>
 </tr>
 <tr align="center">
<td>31</td>
<td>Color Convert</td>
<td>RGB=>IYUV</td>
<td>640x480  (307200)</td>
<td>   2.648000</td>
<td>   2.499000</td>
 </tr>
 <tr align="center">
<td>32</td>
<td>Color Convert</td>
<td>RGB=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.487000</td>
<td>   1.345000</td>
 </tr>
 <tr align="center">
<td>33</td>
<td>Color Convert</td>
<td>RGBX=>RGB</td>
<td>640x480  (307200)</td>
<td>   1.463000</td>
<td>   1.319000</td>
 </tr>
 <tr align="center">
<td>34</td>
<td>Color Convert</td>
<td>RGBX=>NV12</td>
<td>640x480  (307200)</td>
<td>   2.474000</td>
<td>   2.321000</td>
 </tr>
 <tr align="center">
<td>35</td>
<td>Color Convert</td>
<td>RGBX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   2.693000</td>
<td>   2.550000</td>
 </tr>
 <tr align="center">
<td>36</td>
<td>Color Convert</td>
<td>RGBX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.587000</td>
<td>   1.442000</td>
 </tr>
 <tr align="center">
<td>37</td>
<td>Color Convert</td>
<td>NVXX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.87000 </td>
<td>   1.942000</td>
 </tr>
 <tr align="center">
<td>38</td>
<td>Color Convert</td>
<td>NVXX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.157000</td>
<td>   2.12000 </td>
 </tr>
 <tr align="center">
<td>39</td>
<td>Color Convert</td>
<td>NVXX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   0.934000</td>
<td>   0.794000</td>
 </tr>
 <tr align="center">
<td>40</td>
<td>Color Convert</td>
<td>NVXX=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.278000</td>
<td>   1.132000</td>
 </tr>
 <tr align="center">
<td>41</td>
<td>Color Convert</td>
<td>YUVX=>RGB</td>
<td>640x480  (307200)</td>
<td>   2.148000</td>
<td>   2.1000  </td>
 </tr>
 <tr align="center">
<td>42</td>
<td>Color Convert</td>
<td>YUVX=>RGBX</td>
<td>640x480  (307200)</td>
<td>   2.315000</td>
<td>   2.171000</td>
 </tr>
 <tr align="center">
<td>43</td>
<td>Color Convert</td>
<td>YUVX=>NV12</td>
<td>640x480  (307200)</td>
<td>   0.975000</td>
<td>   0.833000</td>
 </tr>
 <tr align="center">
<td>44</td>
<td>Color Convert</td>
<td>YUVX=>IYUV</td>
<td>640x480  (307200)</td>
<td>   1.27000 </td>
<td>   0.883000</td>
 </tr>
 <tr align="center">
<td>45</td>
<td>Color Convert</td>
<td>IYUV=>RGB</td>
<td>640x480  (307200)</td>
<td>   1.997000</td>
<td>   1.855000</td>
 </tr>
 <tr align="center">
<td>46</td>
<td>Color Convert</td>
<td>IYUV=>RGBX</td>
<td>640x480  (307200)</td>
<td>   1.996000</td>
<td>   1.851000</td>
 </tr>
 <tr align="center">
<td>47</td>
<td>Color Convert</td>
<td>IYUV=>NV12</td>
<td>640x480  (307200)</td>
<td>   0.958000</td>
<td>   0.815000</td>
 </tr>
 <tr align="center">
<td>48</td>
<td>Color Convert</td>
<td>IYUV=>YUV4</td>
<td>640x480  (307200)</td>
<td>   1.277000</td>
<td>   1.137000</td>
 </tr>
 <tr align="center">
<td>49</td>
<td>Convert Depth</td>
<td>U8 to S16</td>
<td>640x480  (307200)</td>
<td>   0.854000</td>
<td>   0.714000</td>
 </tr>
 <tr align="center">
<td>50</td>
<td>Convolution</td>
<td>3x3, O: U8</td>
<td>640x480  (307200)</td>
<td>   1.285000</td>
<td>   1.143000</td>
 </tr>
 <tr align="center">
<td>51</td>
<td>Convolution</td>
<td>3x3, O: S16</td>
<td>640x480  (307200)</td>
<td>   1.518000</td>
<td>   1.380000</td>
 </tr>
 <tr align="center">
<td>52</td>
<td>Convolution</td>
<td>9x3, O: U8</td>
<td>640x480  (307200)</td>
<td>  43.443000</td>
<td>  43.294000</td>
 </tr>
 <tr align="center">
<td>53</td>
<td>Convolution</td>
<td>9x3, O: S16</td>
<td>640x480  (307200)</td>
<td>  40.953000</td>
<td>  40.802000</td>
 </tr>
 <tr align="center">
<td>54</td>
<td>Convolution</td>
<td>3x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  44.888000</td>
<td>  44.737000</td>
 </tr>
 <tr align="center">
<td>55</td>
<td>Convolution</td>
<td>3x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  48.570000</td>
<td>  48.424000</td>
 </tr>
 <tr align="center">
<td>56</td>
<td>Convolution</td>
<td>5x5, O: U8</td>
<td>640x480  (307200)</td>
<td>   2.640000</td>
<td>   2.477000</td>
 </tr>
 <tr align="center">
<td>57</td>
<td>Convolution</td>
<td>5x5, O: S16</td>
<td>640x480  (307200)</td>
<td>   2.993000</td>
<td>   2.833000</td>
 </tr>
 <tr align="center">
<td>58</td>
<td>Convolution</td>
<td>7x7, O: U8</td>
<td>640x480  (307200)</td>
<td>   5.200000</td>
<td>   5.37000 </td>
 </tr>
 <tr align="center">
<td>59</td>
<td>Convolution</td>
<td>7x7, O: S16</td>
<td>640x480  (307200)</td>
<td>   5.496000</td>
<td>   5.331000</td>
 </tr>
 <tr align="center">
<td>60</td>
<td>Convolution</td>
<td>9x9, O: U8</td>
<td>640x480  (307200)</td>
<td>  78.591000</td>
<td>  78.421000</td>
 </tr>
 <tr align="center">
<td>61</td>
<td>Convolution</td>
<td>9x9, O: S16</td>
<td>640x480  (307200)</td>
<td>  82.596000</td>
<td>  82.421000</td>
 </tr>
 <tr align="center">
<td>62</td>
<td>Equalize Histogram</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.514000</td>
<td>   1.349000</td>
 </tr>
 <tr align="center">
<td>63</td>
<td>Gaussian</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   0.947000</td>
<td>   0.788000</td>
 </tr>
 <tr align="center">
<td>64</td>
<td>Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>  13.147000</td>
<td>  12.978000</td>
 </tr>
 <tr align="center">
<td>65</td>
<td>Half Scale Gaussian Pyramid</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.473000</td>
<td>   1.314000</td>
 </tr>
 <tr align="center">
<td>66</td>
<td>Harris Corners</td>
<td></td>
<td>640x480  (307200)</td>
<td>  23.462000</td>
<td>  23.284000</td>
 </tr>
 <tr align="center">
<td>67</td>
<td>Histogram</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.917000</td>
<td>   0.756000</td>
 </tr>
 <tr align="center">
<td>68</td>
<td>Integral Image</td>
<td></td>
<td>640x480  (307200)</td>
<td>   1.642000</td>
<td>   1.474000</td>
 </tr>
 <tr align="center">
<td>69</td>
<td>Laplacian Pyramid</td>
<td>U8; Levels = 6</td>
<td>640x480  (307200)</td>
<td>   9.901000</td>
<td>   9.736000</td>
 </tr>
 <tr align="center">
<td>70</td>
<td>Laplacian Reconstruct</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>  12.814000</td>
<td>  12.649000</td>
 </tr>
 <tr align="center">
<td>71</td>
<td>LookUpTable</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   1.188000</td>
<td>   1.21000 </td>
 </tr>
 <tr align="center">
<td>72</td>
<td>Magnitude</td>
<td>S16</td>
<td>640x480  (307200)</td>
<td>   3.513000</td>
<td>   3.340000</td>
 </tr>
 <tr align="center">
<td>73</td>
<td>Mean/Standard Deviation</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.531000</td>
<td>   0.366000</td>
 </tr>
 <tr align="center">
<td>74</td>
<td>Median</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.121000</td>
<td>   0.956000</td>
 </tr>
 <tr align="center">
<td>75</td>
<td>Min Max Loc</td>
<td>U8</td>
<td>640x480  (307200)</td>
<td>   0.912000</td>
<td>   0.750000</td>
 </tr>
 <tr align="center">
<td>76</td>
<td>Multiply</td>
<td>U8 x U8 = U8</td>
<td>640x480  (307200)</td>
<td>   0.891000</td>
<td>   0.727000</td>
 </tr>
 <tr align="center">
<td>77</td>
<td>Multiply</td>
<td>U8 x U8 = S16</td>
<td>640x480  (307200)</td>
<td>   1.89000 </td>
<td>   0.926000</td>
 </tr>
 <tr align="center">
<td>78</td>
<td>Multiply</td>
<td>U8 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.189000</td>
<td>   1.31000 </td>
 </tr>
 <tr align="center">
<td>79</td>
<td>Multiply</td>
<td>S16 x S16 = S16</td>
<td>640x480  (307200)</td>
<td>   1.308000</td>
<td>   1.137000</td>
 </tr>
 <tr align="center">
<td>80</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Erosion</td>
<td>640x480  (307200)</td>
<td>   3.201000</td>
<td>   3.39000 </td>
 </tr>
 <tr align="center">
<td>81</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Dilation</td>
<td>640x480  (307200)</td>
<td>   3.196000</td>
<td>   3.31000 </td>
 </tr>
 <tr align="center">
<td>82</td>
<td>NonLinear Filter</td>
<td>mask=5x5; Median</td>
<td>640x480  (307200)</td>
<td>  37.682000</td>
<td>  37.509000</td>
 </tr>
 <tr align="center">
<td>83</td>
<td>Optical Flow</td>
<td>5x5</td>
<td>640x480  (307200)</td>
<td>   7.302000</td>
<td>   7.132000</td>
 </tr>
 <tr align="center">
<td>84</td>
<td>Phase</td>
<td></td>
<td>640x480  (307200)</td>
<td>   3.634000</td>
<td>   3.463000</td>
 </tr>
 <tr align="center">
<td>85</td>
<td>Remap</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>  11.543000</td>
<td>  11.405000</td>
 </tr>
 <tr align="center">
<td>86</td>
<td>Remap</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   9.433000</td>
<td>   9.288000</td>
 </tr>
 <tr align="center">
<td>87</td>
<td>Scale Image</td>
<td>1 to 2; Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   1.292000</td>
<td>   1.154000</td>
 </tr>
 <tr align="center">
<td>88</td>
<td>Scale Image</td>
<td>1 to 2; Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   4.293000</td>
<td>   4.161000</td>
 </tr>
 <tr align="center">
<td>89</td>
<td>Sobel</td>
<td>3x3</td>
<td>640x480  (307200)</td>
<td>   1.534000</td>
<td>   1.389000</td>
 </tr>
 <tr align="center">
<td>90</td>
<td>Threshold</td>
<td>Binary</td>
<td>640x480  (307200)</td>
<td>   0.698000</td>
<td>   0.550000</td>
 </tr>
 <tr align="center">
<td>91</td>
<td>Warp Affine</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.687000</td>
<td>   0.556000</td>
 </tr>
 <tr align="center">
<td>92</td>
<td>Warp Affine</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.356000</td>
<td>   1.224000</td>
 </tr>
 <tr align="center">
<td>93</td>
<td>Warp Pespective</td>
<td>Nearest Neighbor</td>
<td>*640x480  (307200)</td>
<td>   0.905000</td>
<td>   0.772000</td>
 </tr>
 <tr align="center">
<td>94</td>
<td>Warp Pespective</td>
<td>Bilinear Interpolation</td>
<td>*640x480  (307200)</td>
<td>   1.803000</td>
<td>   1.670000</td>
 </tr>
</table>
</body>
</html>
<p>Footnote 1: All optional parameters for relevant kernels are used<p><p>Footnote 2: All image sizes are for input parameters unless noted with an asterisk (*) in which case these are the output parameter sizes<p>
 </div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
